import { EventEmitter } from '../../../stencil.core';
import { InputChangeEvent } from '../../../types/types';
import { NativeValidationStrategy } from '../../../utils/native-validation-strategy';
export declare class RadioGroup {
    private readonly inputId;
    private radios;
    /**
     * Make the control read only
     */
    disabled: boolean;
    disabledChanged(): void;
    /**
     * Whether the control is valid
     */
    invalid: boolean;
    onInvalidChange(): void;
    /**
     * The input name name
     */
    name: string;
    /**
     * Is it required
     */
    required: boolean;
    /**
     * @internal
     * The validation strategy to use
     */
    validationStrategy: NativeValidationStrategy;
    /**
     * the value of the radio group.
     */
    value?: any | null;
    valueChanged(value: any | undefined): void;
    /**
     * Emitted when the value has changed.
     */
    anjChange: EventEmitter<InputChangeEvent>;
    onRadioDidLoad(event: Event): void;
    onRadioDidUnload(event: Event): void;
    onRadioSelect(event: Event): void;
    onValidChange(): void;
    /**
     * Checks the native element validity use native validators
     */
    checkValidity(): Promise<boolean>;
    private updateRadios;
}
